# Renewal status

Use the **getRenewalDetails** method to retrieve information regarding subscription renewals based on 2Checkout Subscription References:

* Information on the automatic renewal (recurring billing) status (enabled or disabled).
* The link that customers access to renew the subscription through a manual payment.

## Request parameters

<table><thead><tr><th width="221.4666748046875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong></p><p>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p></td></tr><tr><td><code>subscriptionReference</code></td><td><p><strong>Required (string)</strong></p><p>Unique, system-generated subscription identifier.</p></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$subscriptionReference = 'YOUR_SUBSCRIPTION_REFERENCE';

$jsonRpcRequest = array (
'method' => 'getRenewalDetails',
'params' => array($sessionID, $subscriptionReference),
'id' => $i++,
'jsonrpc' => '2.0');

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));
```

## Response parameters

<table><thead><tr><th width="186.2667236328125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>recurringEnabled</code></td><td><p><strong>Boolean</strong></p><ul><li>TRUE = automatic renewal (recurring billing) is enabled for the subscription.</li><li>FALSE = automatic renewal (recurring billing) is not enabled for the subscription.</li></ul></td></tr><tr><td><code>manualRenewalLink</code></td><td><p><strong>String</strong></p><p>The manual renewal link customers can use to renew their subscription.</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/subscription-renewal/renewal-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
